Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory store

POST /memory_stores

Creates a memory store resource with the provided configuration.

Parameter header

Foundry-Features enum diperlukan

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Parameter kueri

api-version string diperlukan

The API version to use for this operation.

Isi Permintaan

Content-Type: application/json
name string diperlukan

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default diperlukan

Base definition for memory store configurations.

Salah satu dari berikut ini:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum diperlukan

The kind of the memory store.

default
chat_model string diperlukan

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string diperlukan

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean diperlukan

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean diperlukan

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Respons

The request has succeeded.

Isi

Content-Type: application/json
object enum diperlukan

The object type, which is always 'memory_store'.

memory_store
id string diperlukan

The unique identifier of the memory store.

created_at integer diperlukan
updated_at integer diperlukan
name string diperlukan

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default diperlukan

Base definition for memory store configurations.

Salah satu dari berikut ini:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum diperlukan

The kind of the memory store.

default
chat_model string diperlukan

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string diperlukan

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean diperlukan

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean diperlukan

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Client error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Minta

POST /memory_stores HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026